Allow enabling/disabling webservices options in a better graphical way

Bug #1396430 reported by Robert Lyon on 2014-11-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Robert Lyon

Bug Description

Currently there is an Enable [disabled] or Disable [enabled] option shown in a number of places. This is confusing.

It needs to be at the least a pair of radio buttons or some thing cool and modern like the the examples here -> http://callmenick.com/tutorial-demos/css-toggle-switch/

Robert Lyon (robertl-9) wrote :

There is also this option - which is css/jquery-ui so would be more compatible with current code
http://jsbin.com/qaraxuheda/1/edit

Robert Lyon (robertl-9) wrote :

And here are some bootstrap examples
http://www.bootstrap-switch.org/examples.html

I like a switch that has words on it so that it is clearer what has been selected. Thus, we would need to make those strings translatable as well.

Evonne is also all for a graphical switch.

Changed in mahara:
status: New → Confirmed
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4058

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4059

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4067

Robert Lyon (robertl-9) on 2014-12-09
Changed in mahara:
milestone: none → 15.04.0
assignee: nobody → Robert Lyon (robertl-9)
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/4058
Committed: http://gitorious.org/mahara/mahara/commit/db7f45200020bc96f4250ee6498e95cd6d40814d
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit db7f45200020bc96f4250ee6498e95cd6d40814d
Author: Robert Lyon <email address hidden>
Date: Thu Dec 4 17:18:55 2014 +1300

Adding in switchbutton plugin files (Bug #1396430)

This jquery-ui plugin graphically styles a checkbox into a toggle switch

Change-Id: Id5f3f5dd9d308aa1231fe8017a505c22f7cf1796
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4059
Committed: http://gitorious.org/mahara/mahara/commit/5a28007dd61ed7e45661265d4bfdc447247db043
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 5a28007dd61ed7e45661265d4bfdc447247db043
Author: Robert Lyon <email address hidden>
Date: Thu Dec 4 17:21:30 2014 +1300

Adjusting the switchbutton plugin (Bug #1396430)

1) Stop the callback function firing onload of page

2) Allowing to specify the function by reference so one can have either:

callback_on: function() { },

or

callback_on: "my_function",

3) Allowing the hidden checkbox to still exist in the tab index for
screenreaders

Change-Id: Ic7a153083446be89eca9f6457b3e05e69cb55a4b
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4060
Committed: http://gitorious.org/mahara/mahara/commit/901df0a558843b27f56d59937e67dee994f09545
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 901df0a558843b27f56d59937e67dee994f09545
Author: Robert Lyon <email address hidden>
Date: Thu Dec 4 17:27:02 2014 +1300

Adding the switchbox pieform element (Bug #1396430)

This allows one to add a pieform element 'type' => 'switchbox'
to render a checkbox styled as a toggle switch.

See file for list of arguments that can be passed to switchbox

Change-Id: I446b676326a9d5e756d5ff645761d8daf27222b5
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4067
Committed: http://gitorious.org/mahara/mahara/commit/da2b9fb317f71fca551cd7e651a6336bb4173fc5
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit da2b9fb317f71fca551cd7e651a6336bb4173fc5
Author: Robert Lyon <email address hidden>
Date: Tue Dec 9 12:03:52 2014 +1300

Adjusting the webservice protocols to use the switchbox (Bug #1396430)

Change-Id: Ief2496eefd3f827a84c49e39580aad630ead5ecc
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) wrote :

Info taken from patch so as not to get lost:

Mhh. Is it possible to look into a different switchbox to use? The one here takes up a lot of horizontal space and we don't gain much by using it I think.

Especially when the switchboxes are all in one row, it is hard to distinguish between the individual items and it's a lot of text, e.g. on http://mahara.anitsirk.wgtn.cat-it.co.nz/webservice/admin/index.php?open=activate_webservices_protos (Switch on/off protocols)

On that page, I think we should have the protocols listed each on a single line.

Also if we were to keep the Disabled / Enabled words, they should have the standard link color. The grey is too light and should get our standard grey for accessibility purposes.

I think I'd also prefer to have the enabled version first.

In the case of the tab that I'm on: Switch on/off protocols, why don't we use switches that say "On" and "Off"?

Reviewed: https://reviews.mahara.org/4087
Committed: http://gitorious.org/mahara/mahara/commit/0bd90f23b600bcdaee6935cc7b8afb5e3955f8d8
Submitter: Yuliya Bozhko (<email address hidden>)
Branch: master

commit 0bd90f23b600bcdaee6935cc7b8afb5e3955f8d8
Author: Robert Lyon <email address hidden>
Date: Sun Dec 14 14:33:38 2014 +1300

Adjusting Service groups to use switchboxes (Bug #1396430)

Change-Id: Ie0a6ad14309b97bd242e2386154ebc1c2369b33b
Signed-off-by: Robert Lyon <email address hidden>

I am not marking this patch as fix committed as the concerns I voiced haven't been addressed and I think we should talk them through before marking this as finished.

Reviewed: https://reviews.mahara.org/4259
Committed: http://gitorious.org/mahara/mahara/commit/875b8c7488eff38658fd598ae61744fe5f904c07
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 875b8c7488eff38658fd598ae61744fe5f904c07
Author: Robert Lyon <email address hidden>
Date: Mon Feb 9 14:07:45 2015 +1300

Saving the webservices switch forms via ajax (Bug #1396430)

As well as dealing with the switching on/off of the master switch and
how that relates to the protocols switches.

Change-Id: Id06d4263b285700ca89869d481c67ea83c8c239a
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2015-03-10
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers